shishi_dk(3)

NAME
shishi_dk - API function

SYNOPSIS
#include <shishi.h>

int shishi_dk(Shishi * handle, Shishi_key * key, const char * prfconstant, size_t prfconstantlen, Shishi_key * derivedkey);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_key * key
    input cryptographic key to use.

const char * prfconstant
    input array with the constant string.

size_t prfconstantlen
    size of input array with the constant string.

Shishi_key * derivedkey
    pointer to derived key (allocated by caller).

DERIVE A KEY FROM A KEY AND A CONSTANT THUSLY
DK(KEY, PRFCONSTANT) = SHISHI_RANDOM-TO-KEY(SHISHI_DR(KEY, PRFCONSTANT)).

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.